&apt-author.jgunthorpe; &apt-author.team; &apt-email; &apt-product; 14 Février 2004
apt-cdrom
8

# apt-cdrom

Gestion des cédéroms par APT

    apt-cdrom
    -hvrmfan
    -d=point de montage du cédérom
    -o=option de configuration
    -c=fichier

    add
    ident

## Description

`apt-cdrom` est utilisé pour ajouter un nouveau cédérom à la liste des sources disponibles. `apt-cdrom` prend soin de déterminer la structure du disque, de corriger de possibles erreurs de gravure et de vérifier les fichiers d'index.

Il est nécessaire d'utiliser `apt-cdrom` pour ajouter des cédéroms au système APT, cela ne peut être réalisé « à la main ». Par ailleurs, chaque disque d'un ensemble de cédéroms doit être séparément inséré et parcouru pour prendre en compte de possibles erreurs de gravure.

À moins que l'option `-h` ou `--help` ne soit donnée, l'une des commandes suivantes doit être présente.

add

  La commande `add` est utilisée pour ajouter un nouveau disque à la liste des sources. Elle démonte le cédérom, réclame l'insertion d'un disque, parcourt ensuite le disque et copie les fichiers d'index. Si le disque ne possède pas de répertoire `disk/` correct, un titre descriptif est demandé.

  APT utilise un identifiant de cédérom pour reconnaître le disque qui se trouve actuellement dans le lecteur et maintient une base de données de ces identifiants dans `&statedir;/cdroms.list`.

ident

  Un outil de débogage pour rapporter l'identifiant du disque actuel ainsi que le nom du fichier stocké.

## Options

&apt-cmdblurb;

`-d`
`--cdrom`

  Point de montage ; spécifie l'emplacement de montage du cédérom. Ce point de montage doit être spécifié dans `/etc/fstab` et correctement configuré. Élément de configuration : `Acquire::cdrom::mount`.

`-r`
`--rename`

  Change le nom d'un disque ; change le nom d'un disque ou annule le nom donné aux disques. Cette option oblige `apt-cdrom` à demander un nouveau nom à l'utilisateur. Élément de configuration : `APT::CDROM::Rename`.

`-m`
`--no-mount`

  Pas de montage ; empêche `apt-cdrom` de monter ou démonter le point de montage. Élément de configuration : `APT::CDROM::NoMount`.

`-f`
`--fast`

  Copie rapide ; suppose que les paquets sont valides et ne vérifie pas chaque paquet. Cette option ne devrait être utilisée que si `apt-cdrom` a préalablement utilisé ce disque et n'a trouvé aucune erreur. Élément de configuration : `APT::CDROM::Fast`.

`-a`
`--thorough`

  Parcours minutieux des paquets ; cette option peut être nécessaire avec de vieux cédéroms de systèmes Debian 1.1 ou 1.2 dont les fichiers Packages sont situés dans des endroits étranges. Il faudra plus de temps pour parcourir le CD mais tous les paquets seront repérés.

`-n`
`--just-print`
`--recon`
`--no-act`

  Aucune modification ; ne pas modifier le fichier &sources-list; ni les fichiers d'index. Cependant, tout est vérifié. Élément de configuration : `APT::CDROM::NoAct`.

&apt-commonoptions;

## Voir aussi

&apt-conf;, &apt-get;, &sources-list;.

## Diagnostics

`apt-cdrom` retourne zéro après un déroulement normal, et le nombre décimal 100 en cas d'erreur.

&manbugs; &deux-traducteurs;